# File Safe
## 1  Overview
#### 1.1  Product Introduction
The File Safe is a protection tool based on the kernel-level data isolation mechanism. It provides data isolation and encryption protection functions between users, supports national encryption algorithms, and realizes fine-grained control of one box, one secret, and one document, ensuring user data security.
<br>
#### 1.2  Product Highlights
Multiple protection: Support data isolation between users and fine-grained permission control to ensure data security.


Security encryption: It supports a transparent encryption mechanism of one box, one secret, and one document, and the security management of keys can meet the core security requirements of government, enterprise and financial customers.


Rich algorithms: support standard international algorithms, national encryption algorithms and hardware-level encryption algorithms, which can meet encryption application scenarios with different security levels.


High compatibility: Support the File Safe version compatibility mechanism, users upgrade and adapt without perception, to ensure that user data is stored safely and never lost.


Easy to use: Support built-in file manager, realize unified management, simple operation and easy to use.
<br>

## 2  Getting started 
Support the use of the File Safe software tool for related operations (see Chapter 3 for details), click the operating system "start menu", select and click "File Safe" to open the File Safe software interface.


Support the use of file manager to perform File Safe related operations (see Chapter 4 for details), open the "File Manager", click on the "File Safe" in the left column to enter the File Safe, as shown in Figure 1.

![-big](image/1.1.png)
![Figure  1 Location of File Safe-big](image/1.2.png)

##### (1)  Introduction to the status of the File Safe
In the File Safe window, different icons are used to indicate the different states of the File Safe. The detailed information is shown in Table 1.

Table 1 Interpretation of the icon of the File Safe

| Serial number| verification method| icon | state |
|:-----|:-----|:-----|:-----|
|1|Password authentication|![](image/icon3.png)| locking |
|2|Password authentication|![](image/icon4.png)| Open |
|3|Secret-free authentication|![](image/icon5.png)| without |


##### (2)  File Safe type introduction
Non-secret authentication File Safe: The File Safe supports non-secret authentication and provides operations such as opening, deleting and renaming;


Password authentication File Safe: The File Safe requires password authentication, and related operations can be completed only when the password authentication is passed. This type of File Safe has two states, including: locked and open. Locking the File Safe provides operations such as opening, modifying the password, deleting and renaming; opening the File Safe provides operations such as opening, locking, modifying the password, deleting and renaming;
<br>
#### 2.1  Help
Click the icon ![](image/menu.png) in the File Safe software interface ,click the "Help" button, the "User Manual" pop-up window will pop up, displaying the help manual related information of the File Safe, as shown in Figure 2.
![Figure 2 User Manual-big](image/2.png)
<br>
#### 2.2  Mode support
After the File Safe software interface is opened, the mouse drags the slider in the lower right corner to dynamically switch the display mode. It supports icon mode and list mode. The default is icon mode.


In icon mode, hovering the cursor over the File Safe can display the virtual path, as shown in Figure 3.
![Figure  3 Icon Mode-big](image/3.png)


In the list mode, the attribute information of the File Safe is displayed, and the encrypted state or creation time can be sorted, as shown in Figure 4.
![Figure 4 List mode-big](image/4.png)
<br>
#### 2.3  Language support
The File Safe software interface follows the system language setting by default, and supports Chinese and English, as shown in Figures 5 to 6.
![Figure 5 Chinese display-big](image/5.png)
![Figure 6 English display-big](image/6.png)
<br>
#### 2.4  About
Click the icon ![](image/menu.png) on the File Safe software interface, click the "About" button, and the "About" pop-up window will pop up, showing the software version information, as shown in Figure 7.
![Figure 7 About-big](image/7.png)
<br>

## 3  Software tool operation mode
Click the "Start Menu" of the operating system, select and click "File Safe" to open the File Safe software interface.


Open the File Safe software interface, the user authentication page pops up, correctly enter the current user login password and click the authorization button to authenticate. If the authentication is passed, the opening of the File Safe software interface is successful, otherwise the opening fails, as shown in Figure 8.
![-big](image/8.1.png)![Figure 8 Start menu and user authentication page-big](image/8.2.png)


Open the File Safe software for the first time, and the interface guides the user to create a new File Safe, as shown in Figure 9.
![Figure 9 Opening the File Safe software for the first time-big](image/9.png)
<br>
#### 3.1  New File Safe
##### （1）  New password authentication File Safe
Click the "New" button to pop up the new File Safe interface, enter the File Safe name, password (the new File Safe interface displays the corresponding password strength) and confirm the password, and finally click the confirm button to complete the File Safe creation, as shown in Figure 10.
![Figure 10 Create a new password authentication File Safe-big](image/10.png)

If it is the first time to create a password authentication File Safe, the user is required to save the encryption key. It is recommended that the user save the key file safely (it is recommended that the user save it to a mobile device or cloud storage, and it is not recommended to save it locally), as shown in Figure 11.
![Figure 11 A pop-up window prompting the user to save the key file-big](image/11.png)

##### （2）  Newly built non-secret authentication File Safe
Click the "New" button to pop up the new File Safe interface, turn off the encryption switch and enter the name of the File Safe, and finally click the OK button to complete the creation of the File Safe, as shown in Figure 12.
![Figure 12 Newly built non-secret authentication File Safe-big](image/12.png)
<br>
#### 3.2  Use a File Safe
##### 3.2.1  Open
The password-free authentication File Safe can be opened by double-clicking the mouse or the right-click menu, and the file manager will automatically pop up and display the corresponding directory, as shown in Figure 13.
![Figure 13 Opening the non-secret authentication File Safe-big](image/13.png)

The password authentication File Safe can be opened by double-clicking the mouse or the right-click menu. After entering the correct password and passing the authentication, the file manager will automatically pop up and display the corresponding directory, as shown in Figures 14-15.
![Figure 14 File Safe authentication bullet frame-big](image/14.png)
![Figure 15 Open the password authentication File Safe-big](image/15.png)

##### 3.2.2  Store files
After the File Safe is opened, any file or directory can be created, or external files can be copied to the File Safe, and the contents of the files in the box are automatically encrypted.

##### 3.2.3  Lock
When the password authentication File Safe is in the open state, complete the lock operation by right-clicking, as shown in Figure 16.
![Figure 16 Locking the password authentication File Safe-big](image/16.png)

Locking the File Safe may encounter the following two situations:


（1）When the File Safe is locked, no file is detected as being occupied, and the user is prompted to save the file in advance to avoid loss of file content, as shown in Figure 17.
![Figure 17 Tips for Locking the File Safe-big](image/17.png)


（2）When the File Safe is locked, it is detected that a file is being occupied, and the user is prompted to save and close the file in use. To avoid data loss, please be cautious to perform mandatory lock operation, as shown in Figure 18:
![-big](image/18.1.png)![Figure 18 Forced lock prompt-big](image/18.2.png)

##### 3.2.4  Password Setting of the File Safe
The password authentication File Safe completes the password modification operation by right-clicking, and supports password setting and key setting, as shown in Figure 19.
![Figure 19 Modify the password of the File Safe through password authentication-big](image/19.png)

Complete the new password setting by manually importing the correct key file, as shown in Figure 20.

![Figure 20 Modify the password of the File Safe through key authentication-big](image/20.png)


##### 3.2.5  Rename
The password authentication File Safe can be renamed through the right-click menu of the mouse, enter the new name and correct password, and click the confirm button to complete the renaming operation, as shown in Figure 21.
![Figure 21 Rename the password authentication File Safe-big](image/21.png)


The password-free authentication File Safe can be renamed through the right-click menu of the mouse, enter a new name, and click the confirm button to complete the renaming operation, as shown in Figure 22.
![Figure 22 Rename the non-secret authentication File Safe-big](image/22.png)


##### 3.2.6  Delete
The password authentication File Safe can be deleted through the right-click menu of the mouse, enter the correct password, and click the confirm button to complete the deletion operation, as shown in Figure 23.
![Figure 23 Delete the password authentication File Safe-big](image/23.png)


The password-free authentication File Safe can be deleted through the right-click menu of the mouse, and the deletion operation is completed after clicking the confirm button, as shown in Figure 24.
![Figure 24 Delete the non-secret authentication File Safe-big](image/24.png)
<br>

## 4  File manager operation mode
Open the "File Manager", double-click or right-click to open the "File Safe", and the user authentication page will pop up. Enter the current user login password correctly and click the authorization button to authenticate. If the authentication is passed, the opening of the File Safe is successful, otherwise the opening fails, as shown in Figure 25.
![Figure 25 File manager user authentication page-big](image/25.png)
<br>
#### 4.1  New File Safe
##### （1）New password authentication File Safe
Right-click the blank area of the File Safe, select "Create File Safe" in the pop-up menu, and the new File Safe interface will pop up. Enter the name of the File Safe, password (the new File Safe interface displays the corresponding password strength) and confirm the password, and finally click the confirm button to complete the protection The box is created, as shown in Figure 26.
![Figure 26 Create a new password authentication File Safe-big](image/26.png)


If it is the first time to create a password authentication File Safe, the user needs to save the encryption key. It is recommended that the user save the key file safely (it is recommended that the user save it to a mobile device or cloud storage by himself, and it is not recommended to save it locally), as shown in Figure 27.
![Figure 27 A pop-up window prompting the user to save the key file-big](image/27.png)


##### （2）Newly built non-secret authentication File Safe
Right-click the blank area of the File Safe, select "Create File Safe" in the pop-up menu, and the new File Safe interface will pop up, turn off the encryption switch and enter the name of the File Safe, and finally click the OK button to complete the creation of the File Safe, as shown in Figure 28.
![Figure 28 Create a new non-secret authentication File Safe-big](image/28.png)


#### 4.2  Use a File Safe
##### 4.2.1  Open
The non-secret authentication File Safe can be opened by double-clicking the mouse or the right-click menu, and the file manager will automatically pop up and display the corresponding directory, as shown in Figure 29.
![Figure 29 Opening the non-secret authentication File Safe-big](image/29.png)

The password authentication File Safe can be opened by double-clicking the mouse or the right-click menu. After entering the correct password and passing the authentication, the file manager will automatically pop up and display the corresponding directory, as shown in Figures 30 to 31.
![Figure 30 File Safe authentication bullet frame-big](image/30.png)
![Figure 31 Open the password authentication File Safe-big](image/31.png)

##### 4.2.2  Store files
After the File Safe is opened, any file or directory can be created, or external files can be copied to the File Safe, and the contents of the files in the box are automatically encrypted.

##### 4.2.3  Lock
When the password authentication File Safe is in the open state, complete the lock operation by right-clicking, as shown in Figure 32.
![Figure 32 Locking the password authentication File Safe-big](image/32.png)

Locking the File Safe may encounter the following two situations:


（1）When the File Safe is locked, no file is detected as being occupied, and the user is prompted to save the file in advance to avoid the loss of the file content, as shown in Figure 33：
![Figure 33 Tips for Locking the File Safe-big](image/33.png)


（2）When the File Safe is locked, it is detected that a file is being occupied, and the user is prompted to save and close the file in use. To avoid data loss, please be cautious to perform mandatory lock operation, as shown in Figure 34:
![-big](image/34.1.png)![Figure 34 Forced lock prompt-big](image/34.2.png)

##### 4.2.4  Password Setting of the File Safe
The password authentication File Safe completes the password modification operation by right-clicking, and supports password setting and key setting, as shown in Figure 35.
![Figure 35 Modify the password of the File Safe through password authentication-big](image/35.png)

Complete the new password setting by manually importing the correct key file, as shown in Figure 36.
![Figure 36 Modify the password of the File Safe through key authentication-big](image/36.png)


##### 4.2.5  Rename
The password authentication File Safe can be renamed through the right-click menu of the mouse, enter the new name and correct password, and click the confirm button to complete the renaming operation, as shown in Figure 37.
![Figure 37 Rename the password authentication File Safe-big](image/37.png)

The password-free authentication File Safe can be renamed through the right-click menu of the mouse, enter a new name, and click the confirm button to complete the renaming operation, as shown in Figure 38.
![Figure 38 Rename the non-secret authentication File Safe-big](image/38.png)


##### 4.2.6  Delete
The password authentication File Safe can be deleted through the right-click menu of the mouse, enter the correct password, and click the confirm button to complete the deletion operation, as shown in Figure 39.
![Figure 39 Delete the password authentication File Safe-big](image/39.png)

The password-free authentication File Safe can be deleted through the right-click menu of the mouse, and the deletion operation is completed after clicking the confirm button, as shown in Figure 40.
![Figure 40 Delete the non-secret authentication File Safe-big](image/40.png)
<br>

## 5  Login Options
In addition to using password to log in the file protection box, it also supports adding biometrics and wechat binding for login. Biometrics includes fingerprint, face, finger vein, iris and acoustic membrane.
<br>
#### 5.1  Wechat Binding
Open the login options page in the settings, and click bind wechat in the scan login options, as shown in Figure 41.
![Figure 41 Binding wechat-big](image/41.png)

After binding wechat, open the file protection box software, pop up the user authentication page, and use the wechat with the bound account to scan and log in. If the authentication passes, the file protection box software interface is opened successfully. Otherwise, the opening fails, as shown in Figure 42.
![Figure 42 Wechat scanning login-big](image/42.png)

#### 5.2  Biometrics
The page composition of fingerprint, face, finger vein, iris and sound film is similar. Here, take fingerprint recognition as an example. Open the settings login options page, open the biometric button, connect the fingerprint device, and click Add fingerprint, as shown in Figure 43.
![Figure 43 Add fingerprint-big](image/43.png)

After binding the fingerprint, open the file protection box software, pop up the user authentication page, and log in with the authenticated fingerprint. If the authentication passes, the file protection box software interface is opened successfully. Otherwise, the opening fails, as shown in Figure 44.
![Figure 44 Fingerprint login-big](image/44.png)

## Appendix: Frequently Asked Questions and Solutions (FAQ)
##### 1.  Q: What should I do if the File Safe software cannot be opened?
- A: Open the Kernel Protector module manually when the File Safe cannot be opened. First open the desktop start menu-terminal, enter the terminal command: sudo vi/etc/default/grub, then enter the section of the grub file modification protector module, find the parameter GRUB_CMDLINE_LINUX_SECURITY= "audit=0 security=kysec" in the grub file, and add ",box", after that save and exit the file, re-enter the command update-grub to update the grub file, after the update is complete, restart the File Safe .
##### 2.  Q: When modifying the password of the File Safe and importing the secret key file, how to handle the problem that the secret key file cannot be found?
- A: The (. txt) suffix may not be added when the user names the secret key file of the File Safe . At this time, when importing the file, you need to click the small triangle after the text type and select all file types to successfully display the secret key file and import it.
##### 3.  Q: How to deal with the problem that clicking Authorization can not enter the file safe when the file manager authentication interface has entered the wrong password several times, entered the correct password again?
- A: The File Manager Protector authentication mechanism is the same as the system user authentication mechanism. Entering the wrong password several times in a row will lock by default for the same lock time as set by the system. If this happens, wait a moment until the lock time has ended or enter the Protector after restarting the system.
##### 4.  Q: What should I do if the File Safe cannot find the File Safe file according to the location information displayed in the File Safe property interface?
- A: File Safe is dedicated to protecting user data security. For protecting user privacy, the location information uses a virtual path display scheme, so it is not possible to find the File Safe information through this path. To view the true path of the File Safe, open the desktop start menu-terminal, enter the terminal command boxadm-l,This command displays information about the File Safe to see the true path of the File Safe. However, locked File Safees have offline protection mechanisms that prevent you from viewing or deleting files in the File Safe even if you enter the real path.
##### 5.  Q: When copying some files to the unlocked File Safe, lock the File Safe, and pop up the prompt box "Files in the current File Safe are being occupied and need to be unlocked to lock"?
- A: This phenomenon occurs because the file has not been copied completely, and the File Safe will be updated in real time. Please wait a moment when copying large files. When the files are saved, the occupied files will be displayed to zero. This does not affect the normal use of the File Safe.
##### 6.  Q:What should I do if the File Safe forgets the password?
- A: When you forget your password, you can complete the new password setup by manually importing the correct key file, and then open the File Safe for the forgotten password, so please make sure that the generated key file is properly saved by the user.
##### 7.  Q: When the system fails to enter the File Safe page, how do I export the internal files of the File Safe?
- A: Open the terminal, enter the command boxadm-h, which displays the file File Safe terminal command. Enter the command boxadm-l, which displays all information about the File Safe, including whether it is encrypted, locked, and path information. Unencrypted and unlocked File Safees can enter the File Safe through the cd+path command, view the file contents, and then use cp+file name+new pathCommand to export the internal files of the File Safe. If the File Safe is encrypted, first unlock it with the command boxadm --unlock, then do the above.
##### 8.  Q: What if the operation of the File Safe and the file manager are not synchronized?
- A: The operations of File Safe and file manager are synchronized, including basic operations such as creation, deletion, renaming, password modification of the File Safe, as well as internal content changes of the File Safe. If some users of the file File Safe and file manager File Safe change in one of them and the other party does not synchronize the updates, it may be that the status of the two is not updated in time, please refresh.
##### 9.  Q: What if the interface is not updated in time when creating or modifying files in the created File Safe?
- A: The file manager is temporarily out of sync. Please restart the file manager, press F5 or right-click refresh to refresh.
##### 10.  Q: Does the secret key file need to be changed after the File Safe is upgraded?
- A: No. Because the File Safe upgrade process is an overall migration of the directory where its File Safe is located, the File Safe global key has not been modified, so the File Safe key file applies to all currently compatible File Safees in the case of a File Safe upgrade.

